29tools
New · MCP SuiteYour infrastructure now talks to AI agents.

Claude, Codex & co. manage DNS, domains and certificates directly, including DNS Doctor diagnostics.

Explore the MCP Suite
DNS automation
v1.6.2
Download OpenAPI
Get domain details
Retrieve details for a single registered domain — same field semantics as the domain list plus the currently delegated nameservers.
GET
/domains/{domain}
Domains

Authentication

x-api-key

Parameters

Name
Type
Format
Required
Description
domain
path
string
-
Required
Fully Qualified Domain Name.

Request example

GET
curl --request GET \
  --url 'https://api.regfish.com/domains/www.example.com' \
  --header 'x-api-key: YOUR_API_KEY'

Responses

200
Domain details
application/jsondomainDetailsResponse
Response example 200
{
  "success": true,
  "code": 0,
  "response": {
    "domain": "www.example.com",
    "sld": "example",
    "tld": "example",
    "favorite": true,
    "owner": "example",
    "primary_nameserver": "example",
    "dnssec_state": "active",
    "auto_renew": true,
    "cancelled": true,
    "registered_at": 1,
    "expires_at": 1,
    "nameservers": [
      "example"
    ]
  }
}
401
Unauthorized
application/jsonError
Response example 401
{
  "success": false,
  "message": "Unauthorized",
  "error": "Unauthorized"
}
404
Domain not found
application/jsonError
Response example 404
{
  "success": false,
  "message": "Domain not found",
  "error": "Domain not found"
}
500
Unexpected error
application/jsonError
Response example 500
{
  "success": false,
  "message": "Unexpected error",
  "error": "Unexpected error"
}
Community

Diventa parte della comunità

L'API DNS Regfish è un'ottima soluzione per gli sviluppatori che desiderano automatizzare domini e zone DNS. Entra a far parte della community e beneficia dell'automazione DNS. L'API DNS è disponibile gratuitamente per ogni cliente Regfish.